/*
 * FILENAME:    init.js
 * VERSION:     0.256 (10/18/2011)
 * AUTHOR:      Tiffany Chao (tchao@cs.umd.edu)
 */

$(function() {
    var dataset = utils.getStorageItem("dataset");
    
    if (dataset) {
        model.init(dataset);
    } else {
        model.init(model.DATASET_DEFAULT);
    }
    controller.init();
    
    // introduce the demo once and only once
    if (!utils.getStorageItem("hide_welcome")) {
        $(".help-modal").addClass("show");
        utils.setStorageItem("hide_welcome", "true", 1);
    } else {
        $(".help-modal").children(".welcome").hide();
    }
});
